Subject: Re: [bug#73769] [PATCH] automake: distribute local gnulib directory modules

From: Karl Berry <[email-masked]>
Date: Sat, 12 Oct 2024 14:57:17 -0600

Hi Michael,

    * bin/automake.in (read_am_file): push "modules" subdirectory of
      local gnulib directories to dist_common if it exists.

Thanks for the patch. I admit I know little about the usual way gnulib
is used nowadays, but my first reaction is that automake should not try
to incorporate hardwired knowledge of gnulib. Wouldn't it be cleaner if
the packages that use gnulib take care to include the gl/modules
directory (and anything else needed)? Just like anything else.

Maybe gnulib-tool/bootstrap will use some other option in the
future. Maybe they'll use --local-dir for some other reason. Maybe the
filename will change. It all feels like a little too much magic to me.
But maybe it is the cleanest way.

What do others think? Bruno, would you mind taking a look at Michael's
message? https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73769

Thanks,
Karl